Get a public booking page
curl --request GET \
--url https://api.impellabs.tech/api/v1/book/{slug}import requests
url = "https://api.impellabs.tech/api/v1/book/{slug}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.impellabs.tech/api/v1/book/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/book/{slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/book/{slug}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.impellabs.tech/api/v1/book/{slug}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/book/{slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"slug": "intro-call",
"name": "Intro call",
"description": "",
"minutes": 30,
"location_type": "video",
"business": "Your business",
"zone": "Asia/Dubai",
"slots": [
{
"start": "2026-11-16T09:00:00+00:00",
"end": "2026-11-16T09:30:00+00:00",
"host_id": "",
"time": "Mon 13:00"
}
]
}Public booking
Get a public booking page
A service and its free times. It needs no token.
GET
/
api
/
v1
/
book
/
{slug}
Get a public booking page
curl --request GET \
--url https://api.impellabs.tech/api/v1/book/{slug}import requests
url = "https://api.impellabs.tech/api/v1/book/{slug}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.impellabs.tech/api/v1/book/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/book/{slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/book/{slug}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.impellabs.tech/api/v1/book/{slug}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/book/{slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"slug": "intro-call",
"name": "Intro call",
"description": "",
"minutes": 30,
"location_type": "video",
"business": "Your business",
"zone": "Asia/Dubai",
"slots": [
{
"start": "2026-11-16T09:00:00+00:00",
"end": "2026-11-16T09:30:00+00:00",
"host_id": "",
"time": "Mon 13:00"
}
]
}Query Parameters
Response
The service and its slots.